4Suite™ API Documentation

# ► Module Ft.Server.Server.Http.MessageSource

Misc error codes and messages for the HTTP modules
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: Error |  |  |  | Fields: g_errorMessages

## Classes

class Error

### Fields

BAD_LOGIN_FAILURE_REDIRECT = 21
BAD_REQUEST_PATH = 10
BAD_SOAP_REQUEST = 30
INVALID_SOAP_ENVELOPE = 33
MALFORMED_SOAP_MESSAGE = 32
MISSING_SOAPACTION_HEADER = 31
MISSING_SOAP_BODY = 34
NO_SOAP_HANDLER_FOR_NAME = 35
NO_SOAP_HANDLER_FOR_NS = 36
SESSIONS_NOT_ENABLED = 20

## Fields

g_errorMessages = {10: 'Request URI path %(path)r cannot be mapped to a repo path', 20: 'The server config allows session-based logins wh...ut sessions have not been enabled on this server.', 21: 'A session-based login was requested and failed, ...onfiguration does not contain the necessary info.', 30: 'Missing required cidr-soap:query child element or its content', 31: 'SOAP request did not contain the soapaction header', 32: 'SOAP message could not be parsed; %(errmsg)s', 33: 'Invalid SOAP request envelope', 34: 'SOAP message contains no body', 35: 'No handler for SOAP request %(name)s, namespace %(ns)s', 36: 'No handler for SOAP request namespace %(ns)s'}